<template>
  <h1>Realizacja zadania nr1 w ramach laboratorium PFSwCO</h1>
  <h2>by Szymon Kargol</h2>
  <div>
    <button @click="go('fib')">Kalkulator</button>
    <button @click="go('doc')">Dokumentacja</button>
  </div>
  <component keep-alive :is="comp"/>
</template>

<script lang="ts">
import {Options, Vue} from 'vue-class-component';
import Fibonnacci from "@/components/Fibonnacci.vue";
import Documentation from "@/components/Documentation.vue";

@Options({
  components: {
    Fibonnacci,
    Documentation,
  },
  computed: {
    comp() {
      return this.page === 'fib' ? Fibonnacci : Documentation
    }
  }
})
export default class App extends Vue {
  page = 'fib'

  go = (p: string) => {
    this.page = p
    window.location.hash = p
  }
}
</script>

<style>
#app {
  font-family: Avenir, Helvetica, Arial, sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
  text-align: center;
  color: #2c3e50;
  margin-top: 60px;
}
</style>
